Bug 596382 - (CVE-2010-1392) CVE-2010-1392 WebKit: use-after-free vulnerabiity when rendering HTML buttons
CVE-2010-1392 WebKit: use-after-free vulnerabiity when rendering HTML buttons
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100607,reported=20100521,sou...
: Security
Depends On:
Blocks: 806808
  Show dependency treegraph
 
Reported: 2010-05-26 13:11 EDT by Vincent Danen
Modified: 2016-11-08 11:01 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 10:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-26 13:11:02 EDT
A use after free issue exists in WebKit's rendering of HTML buttons.  Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved memory management.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=34641
Trac: http://trac.webkit.org/changeset/56297

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges Matthieu Bonetti of VUPEN Vulnerability Research Team as the original reporter.
Comment 6 Jan Lieskovsky 2010-06-08 12:30:08 EDT
Public via:
  [1] http://support.apple.com/kb/HT4196

Note You need to log in before you can comment on or make changes to this bug.